View Issue Details

IDProjectCategoryView StatusLast Update
0000186VisualDifferFiles differpublic2013-09-12 17:08
Reporterfduser24Assigned Toadmin 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.5.6 
Summary0000186: Suggestion/request: optional ignore case of filenames
DescriptionFor some reason I have various files where along the way the file names were changed for uppercase. Now, when comparing these files to the lowercase originals, they of course look like new files. Would it be possible/easy to add a switch that tells the program to (for the current session) ignore the case of filenames?

Thanks!
TagsNo tags attached.

Relationships

related to 0000184 closedadmin Align files names with user defined rules 

Activities

admin

2013-07-18 07:45

administrator   ~0000312

Last edited: 2013-07-18 07:46

View 2 revisions

The alignment algorithm is really primitive and you are right, a case insensitive alignment is necessary

It will added soon

admin

2013-07-28 08:22

administrator   ~0000326

I'm working on this feature but I realized I can't ignore the file system case sensitivity, HFS can be formatted with ignore case or match case so letting user to choose should be dangerous.

VD must handle three cases

Left and Right file systems are both case sensitive => Work like now doing a match case alignment

Left and Right file system are both case insensitive => Align using a case insensitive match (as asked by you)

Left and Right are mixed (one is case sensitive the other side don't), this requires a deeper analysis, first search for perfect match (ie match case) then for best match

fduser24

2013-07-29 12:41

reporter   ~0000327

Hi,

I did not mean to suggest that the checking should by default ignore case, that does not seem right to me on a filesystem that is case sensitive (most of the time). Rather I meant to be able to ad-hoc have the user opt to ignore case for a particular 'compare' operation.

admin

2013-07-29 12:58

administrator   ~0000328

Last edited: 2013-07-29 12:59

View 2 revisions

By default the case will be determined from file system but user will be able to choose (AT HIS OWN RISK, consider copy or move overwriting)

- detect from file system
- both side ignore case
- both side match case

The setting will be saved into session (or from application preference)

Issue History

Date Modified Username Field Change
2013-07-17 22:01 fduser24 New Issue
2013-07-17 22:01 fduser24 Status new => assigned
2013-07-17 22:01 fduser24 Assigned To => admin
2013-07-18 07:45 admin Note Added: 0000312
2013-07-18 07:46 admin Note Edited: 0000312 View Revisions
2013-07-28 08:22 admin Note Added: 0000326
2013-07-29 12:41 fduser24 Note Added: 0000327
2013-07-29 12:58 admin Note Added: 0000328
2013-07-29 12:59 admin Note Edited: 0000328 View Revisions
2013-08-14 18:39 admin Resolution open => fixed
2013-09-01 15:30 admin Relationship added related to 0000184
2013-09-12 17:08 admin Status assigned => closed
2013-09-12 17:08 admin Fixed in Version => 1.5.6